CalibratedModel Class Reference

Calibrated model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for CalibratedModel:
[legend]

## Public Member Functions

| CalibratedModel (Size nArguments)
void | update ()
virtual void | calibrate (const std::vector< boost::shared_ptr< CalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
| Calibrate to a set of market instruments (usually caps/swaptions) More...
Real | value (const Array &params, const std::vector< boost::shared_ptr< CalibrationHelper > > &)
const boost::shared_ptr< Constraint > & | constraint () const
EndCriteria::Type | endCriteria () const
| Returns end criteria result.
Disposable< Array > | params () const
| Returns array of arguments on which calibration is done.
virtual void | setParams (const Array &params)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

virtual void | generateArguments ()

## Protected Attributes

std::vector< Parameter > | arguments_
boost::shared_ptr< Constraint > | constraint_
EndCriteria::Type | shortRateEndCriteria_

## Friends

class | CalibrationFunction

## Detailed Description

Calibrated model class.

## Member Function Documentation

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.

Reimplemented in MarkovFunctional, and Gsr.

virtual void calibrate | ( | const std::vector< boost::shared_ptr< CalibrationHelper > > & | ,
|  | OptimizationMethod & | method,
|  | const EndCriteria & | endCriteria,
|  | const Constraint & | constraint = `Constraint()`,
|  | const std::vector< Real > & | weights = `std::vector< Real >()`,
|  | const std::vector< bool > & | fixParameters = `std::vector< bool >()`
| ) |  |

virtual

Calibrate to a set of market instruments (usually caps/swaptions)

An additional constraint can be passed which must be satisfied in addition to the constraints of the model.

Reimplemented in MarkovFunctional.